using System;
using System.Collections.Generic;
using System.Linq;
using GTANetworkAPI;
using ReallifeGamemode.Database.Entities;
using ReallifeGamemode.Server.Extensions;
using ReallifeGamemode.Server.Util;


namespace ReallifeGamemode.Server.WeaponDeal
{
  class BasePoints
  {
    
    public void getbase(int? factionID, Player client)
    {
      
      if (factionID == 1)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 428.07, -977.88); // LSPD
      }
      else if( factionID == 2)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 1157.56, -1518.56); // Sanitäter
      }
      else if (factionID == 3)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 88.10, -741.76); // FIB
      }
      else if (factionID == 4)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", -394.30, -2785.44); // Trucker
      }
      else if (factionID == 5)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 1157.56, -1518.56); // Terror
      }
      else if (factionID == 6)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 1157.56, -1518.56); // Hitmen
      }
      else if (factionID == 7)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 103.72, -1939.43); // Grove
      }
      else if (factionID == 8)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", 1209.42, -1628.65); // Ballas
      }
      else if (factionID == 9)
      {
        client.TriggerEvent("SERVER:Util_setWaypoint", -604.04, -930.92); // News Reporter
      }

    }
  }
}
